/**
 * Copyright (C) 2009 Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/

package org.ow2.orchestra.facade.def.impl;

import org.ow2.orchestra.facade.def.RepeatEveryDefinition;

public class RepeatEveryDefinitionImpl implements RepeatEveryDefinition {

  private static final long serialVersionUID = 8933504472359120628L;

  private String expressionLanguage;

  private String durationExpression;

  public RepeatEveryDefinitionImpl() {
  }

  public RepeatEveryDefinitionImpl(final String expressionLanguage, final String durationExpression) {
    this.expressionLanguage = expressionLanguage;
    this.durationExpression = durationExpression;
  }

  public RepeatEveryDefinitionImpl(final RepeatEveryDefinition repeatEveryDefinition) {
    this.expressionLanguage = repeatEveryDefinition.getExpressionLanguage();
    this.durationExpression = repeatEveryDefinition.getDurationExpression();
  }

  public String getDurationExpression() {
    return this.durationExpression;
  }

  public String getExpressionLanguage() {
    return this.expressionLanguage;
  }

  public RepeatEveryDefinition copy() {
    return new RepeatEveryDefinitionImpl(this);
  }
}
